Debian OS Notes

From WxPerl Wiki
Jump to: navigation, search

Installation via CPAN

When installing Wx via CPAN on the Debian OS or any of its derivatives, some development libraries need to be downloaded to successfully compile the WxWidgets C package. These are:

  • zlib*g-dev
  • linpng*-dev
  • libjpeg*-dev
  • libtiff*-dev
  • libexpat*-dev

Replace the * with the highest version number you can find. The current command to do so, with the current versions, is:

sudo apt-get install zlib1g-dev libpng12-dev libjpeg62-dev libtiff4-dev libexpat1-dev

You should be able to install Wx with the command:

sudo cpan Wx